com.h3c.util.pkt

## Enum DhcpOption.Code

- java.lang.Object
- - java.lang.Enum<DhcpOption.Code>
  - - com.h3c.util.pkt.DhcpOption.Code

- All Implemented Interfaces:
    ProtocolEnum, Serializable, Comparable<DhcpOption.Code>
  Enclosing class:
    DhcpOption

      public static enum DhcpOption.Code
      extends Enum<DhcpOption.Code>
      implements ProtocolEnum

  Option codes (used in messages types, request params, ...). http://www.ietf.org/assignments/bootp-dhcp-parameters/ bootp-dhcp-parameters.txt

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDR_LEASE_TIME` Address least time option code.
    `ADDR_REQ` Address requested option code.
    `AGENT_INFO` Agent information option code.
    `ARP_TIMEOUT` ARP timeout option code.
    `AUTH` Authentication option code.
    `BOOT_FILE_SIZE` Boot file size option code.
    `BROADCAST_ADDR` Broadcast address option code.
    `CLASSLESS_STATIC_ROUTE` Classless static route option code.
    `CLIENT_ID` Client ID option code.
    `DEFAULT_IP_TTL` Default Time to Live code.
    `DEFAULT_TCP_TTL` Default TCP Time to Live option code.
    `DOMAIN_NAME` Domain name option code.
    `DOMAIN_SERACH` Domain search option code.
    `DOMAIN_SERVER` Domain server option code.
    `END` End indicator option code.
    `ETHERNET` Ethernet option code.
    `EXTENSION_FILE` Extension file option code.
    `FORWARD_ON_OFF` Forward on/off option code.
    `HOST_NAME` Host name option code.
    `IMPRESS_SERVER` Impress server option code.
    `KEEPALIVE_DATA` Keep alive data option code.
    `KEEPALIVE_TIME` Keep alive time option code.
    `LOG_SERVER` Log server option code.
    `MASK_DISCO` Mask discovery option code.
    `MASK_SUPPLIER` Mask Supplier option code.
    `MAX_DG_REASSEM_SIZE` Max datagram re-assembly size option code.
    `MAX_MSG_SIZE` DHCP max message size option code.
    `MERIT_DUMP_FILE` Merit dump file option code.
    `MSG_ERR` DHCP error message option code.
    `MSG_TYPE` Message type option code.
    `MTU_INTERFACE` Interface MTU size code.
    `MTU_PLATEAU` Path MTU plateau table code.
    `MTU_SUBNET` MTU subnet code.
    `MTU_TIMEOUT` Path MTU aging timeout code.
    `NAME_SERVER` Time server option code.
    `NETBIOS_DIST_SVR` NetBIOS datagram distribution option code.
    `NETBIOS_NAME_SVR` NetBIOS name server option code.
    `NETBIOS_NODE_TYPE` NetBIOS node type option code.
    `NETBIOS_SCOPE` NetBIOS scope option code.
    `NIS_DOMAIN` NIS domain option code.
    `NIS_SERVERS` NIS servers option code.
    `NTP_SERVERS` NTP server addresses option code.
    `OVERLOAD` Overload option code.
    `PAD` Pad indicator option code.
    `PARAM_REQ` Parameter request option code.
    `POLICY_FILTER` Policy filter option code.
    `PRINTER_SERVER` Printer server option code.
    `QUOTES_SERVER` Quotes server option code.
    `RESERVED` Reserved (used as unknown) option code.
    `RLP_SERVER` RLP server option code.
    `ROOT_PATH` Root path name option code.
    `ROUTER` Routers option code.
    `ROUTER_DISCO` Router discovery option code.
    `ROUTER_REQ` Router request option code.
    `SERVER_ID` DHCP server ID option code.
    `SIP_SERVERS` SIP servers option code.
    `SOURCE_ROUTE_ON_OFF` Source routing on/off option code.
    `STATIC_ROUTE` Static route option code.
    `SUBNET_MASK` Subnet mask option code.
    `SWAP_SERVER` Swap server address option code.
    `TFTP_SERVER_NAME` TFTP server option code.
    `TIME_OFFSET` Time offset option code.
    `TIME_SERVER` Time server option code.
    `TRAILERS` Trailers option code.
    `VENDOR_CLASS_ID` Class ID option code.
    `VENDOR_SPECIFIC` Vendor-Specific information option code.
    `X_WIN_FONT` X-Window font option code.
    `X_WIN_MANAGER` X-Window manager option code.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `code()` Returns the code value for the enumeration constant.
    `static DhcpOption.Code` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DhcpOption.Code[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PAD

          public static final DhcpOption.Code PAD

      Pad indicator option code.

    - #### SUBNET_MASK

          public static final DhcpOption.Code SUBNET_MASK

      Subnet mask option code.

    - #### TIME_OFFSET

          public static final DhcpOption.Code TIME_OFFSET

      Time offset option code.

    - #### ROUTER

          public static final DhcpOption.Code ROUTER

      Routers option code.

    - #### TIME_SERVER

          public static final DhcpOption.Code TIME_SERVER

      Time server option code.

    - #### NAME_SERVER

          public static final DhcpOption.Code NAME_SERVER

      Time server option code.

    - #### DOMAIN_SERVER

          public static final DhcpOption.Code DOMAIN_SERVER

      Domain server option code.

    - #### LOG_SERVER

          public static final DhcpOption.Code LOG_SERVER

      Log server option code.

    - #### QUOTES_SERVER

          public static final DhcpOption.Code QUOTES_SERVER

      Quotes server option code.

    - #### PRINTER_SERVER

          public static final DhcpOption.Code PRINTER_SERVER

      Printer server option code.

    - #### IMPRESS_SERVER

          public static final DhcpOption.Code IMPRESS_SERVER

      Impress server option code.

    - #### RLP_SERVER

          public static final DhcpOption.Code RLP_SERVER

      RLP server option code.

    - #### HOST_NAME

          public static final DhcpOption.Code HOST_NAME

      Host name option code.

    - #### BOOT_FILE_SIZE

          public static final DhcpOption.Code BOOT_FILE_SIZE

      Boot file size option code.

    - #### MERIT_DUMP_FILE

          public static final DhcpOption.Code MERIT_DUMP_FILE

      Merit dump file option code.

    - #### DOMAIN_NAME

          public static final DhcpOption.Code DOMAIN_NAME

      Domain name option code.

    - #### SWAP_SERVER

          public static final DhcpOption.Code SWAP_SERVER

      Swap server address option code.

    - #### ROOT_PATH

          public static final DhcpOption.Code ROOT_PATH

      Root path name option code.

    - #### EXTENSION_FILE

          public static final DhcpOption.Code EXTENSION_FILE

      Extension file option code.

    - #### FORWARD_ON_OFF

          public static final DhcpOption.Code FORWARD_ON_OFF

      Forward on/off option code.

    - #### SOURCE_ROUTE_ON_OFF

          public static final DhcpOption.Code SOURCE_ROUTE_ON_OFF

      Source routing on/off option code.

    - #### POLICY_FILTER

          public static final DhcpOption.Code POLICY_FILTER

      Policy filter option code.

    - #### MAX_DG_REASSEM_SIZE

          public static final DhcpOption.Code MAX_DG_REASSEM_SIZE

      Max datagram re-assembly size option code.

    - #### DEFAULT_IP_TTL

          public static final DhcpOption.Code DEFAULT_IP_TTL

      Default Time to Live code.

    - #### MTU_TIMEOUT

          public static final DhcpOption.Code MTU_TIMEOUT

      Path MTU aging timeout code.

    - #### MTU_PLATEAU

          public static final DhcpOption.Code MTU_PLATEAU

      Path MTU plateau table code.

    - #### MTU_INTERFACE

          public static final DhcpOption.Code MTU_INTERFACE

      Interface MTU size code.

    - #### MTU_SUBNET

          public static final DhcpOption.Code MTU_SUBNET

      MTU subnet code.

    - #### BROADCAST_ADDR

          public static final DhcpOption.Code BROADCAST_ADDR

      Broadcast address option code.

    - #### MASK_DISCO

          public static final DhcpOption.Code MASK_DISCO

      Mask discovery option code.

    - #### MASK_SUPPLIER

          public static final DhcpOption.Code MASK_SUPPLIER

      Mask Supplier option code.

    - #### ROUTER_DISCO

          public static final DhcpOption.Code ROUTER_DISCO

      Router discovery option code.

    - #### ROUTER_REQ

          public static final DhcpOption.Code ROUTER_REQ

      Router request option code.

    - #### STATIC_ROUTE

          public static final DhcpOption.Code STATIC_ROUTE

      Static route option code.

    - #### TRAILERS

          public static final DhcpOption.Code TRAILERS

      Trailers option code.

    - #### ARP_TIMEOUT

          public static final DhcpOption.Code ARP_TIMEOUT

      ARP timeout option code.

    - #### ETHERNET

          public static final DhcpOption.Code ETHERNET

      Ethernet option code.

    - #### DEFAULT_TCP_TTL

          public static final DhcpOption.Code DEFAULT_TCP_TTL

      Default TCP Time to Live option code.

    - #### KEEPALIVE_TIME

          public static final DhcpOption.Code KEEPALIVE_TIME

      Keep alive time option code.

    - #### KEEPALIVE_DATA

          public static final DhcpOption.Code KEEPALIVE_DATA

      Keep alive data option code.

    - #### NIS_DOMAIN

          public static final DhcpOption.Code NIS_DOMAIN

      NIS domain option code.

    - #### NIS_SERVERS

          public static final DhcpOption.Code NIS_SERVERS

      NIS servers option code.

    - #### NTP_SERVERS

          public static final DhcpOption.Code NTP_SERVERS

      NTP server addresses option code.

    - #### VENDOR_SPECIFIC

          public static final DhcpOption.Code VENDOR_SPECIFIC

      Vendor-Specific information option code.

    - #### NETBIOS_NAME_SVR

          public static final DhcpOption.Code NETBIOS_NAME_SVR

      NetBIOS name server option code.

    - #### NETBIOS_DIST_SVR

          public static final DhcpOption.Code NETBIOS_DIST_SVR

      NetBIOS datagram distribution option code.

    - #### NETBIOS_NODE_TYPE

          public static final DhcpOption.Code NETBIOS_NODE_TYPE

      NetBIOS node type option code.

    - #### NETBIOS_SCOPE

          public static final DhcpOption.Code NETBIOS_SCOPE

      NetBIOS scope option code.

    - #### X_WIN_FONT

          public static final DhcpOption.Code X_WIN_FONT

      X-Window font option code.

    - #### X_WIN_MANAGER

          public static final DhcpOption.Code X_WIN_MANAGER

      X-Window manager option code.

    - #### ADDR_REQ

          public static final DhcpOption.Code ADDR_REQ

      Address requested option code.

    - #### ADDR_LEASE_TIME

          public static final DhcpOption.Code ADDR_LEASE_TIME

      Address least time option code.

    - #### OVERLOAD

          public static final DhcpOption.Code OVERLOAD

      Overload option code.

    - #### MSG_TYPE

          public static final DhcpOption.Code MSG_TYPE

      Message type option code.

    - #### SERVER_ID

          public static final DhcpOption.Code SERVER_ID

      DHCP server ID option code.

    - #### PARAM_REQ

          public static final DhcpOption.Code PARAM_REQ

      Parameter request option code.

    - #### MSG_ERR

          public static final DhcpOption.Code MSG_ERR

      DHCP error message option code.

    - #### MAX_MSG_SIZE

          public static final DhcpOption.Code MAX_MSG_SIZE

      DHCP max message size option code.

    - #### VENDOR_CLASS_ID

          public static final DhcpOption.Code VENDOR_CLASS_ID

      Class ID option code.

    - #### CLIENT_ID

          public static final DhcpOption.Code CLIENT_ID

      Client ID option code.

    - #### TFTP_SERVER_NAME

          public static final DhcpOption.Code TFTP_SERVER_NAME

      TFTP server option code.

    - #### AGENT_INFO

          public static final DhcpOption.Code AGENT_INFO

      Agent information option code.

    - #### AUTH

          public static final DhcpOption.Code AUTH

      Authentication option code.

    - #### DOMAIN_SERACH

          public static final DhcpOption.Code DOMAIN_SERACH

      Domain search option code.

    - #### SIP_SERVERS

          public static final DhcpOption.Code SIP_SERVERS

      SIP servers option code.

    - #### CLASSLESS_STATIC_ROUTE

          public static final DhcpOption.Code CLASSLESS_STATIC_ROUTE

      Classless static route option code.

    - #### RESERVED

          public static final DhcpOption.Code RESERVED

      Reserved (used as unknown) option code.

    - #### END

          public static final DhcpOption.Code END

      End indicator option code.

  - ### Method Detail

    - #### values

          public static DhcpOption.Code[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DhcpOption.Code c : DhcpOption.Code.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DhcpOption.Code valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### code

          public int code()

      Description copied from interface: `ProtocolEnum`
      Returns the code value for the enumeration constant.
      Specified by:
        `code` in interface `ProtocolEnum`
      Returns:
        the code value

Copyright © 2014. All Rights Reserved.